Infra > List Results
List Results
List saved result records for the authenticated user.
Examples
curl -X GET https://api.medux.io/api/app/v1/results?cursor=CURSOR&limit=LIMIT&media_type=MEDIA_TYPE&capability_id=CAPABILITY_ID&status=READY \ -H 'Authorization: Bearer $MEDUX_API_KEY'
Auth Requirements
Authentication is required via Authorization header.
Preconditions
Try it lists retained results for the current account.
Results retention is limited; expired outputs are not returned.
Request
Body
application/jsonAuthorizationstringrequiredBearer token or API key.
Location: HEADER
cursorstringoptionalNo description provided.
Location: QUERY
limitint32optionalNo description provided.
Location: QUERY
media_typestringoptionalNo description provided.
Location: QUERY
capability_idstringoptionalNo description provided.
Location: QUERY
statusstringoptionalAllowed values:
RESULT_STATUS_UNDEFINED- Not specified.READY- Result is ready.RESULT_PROCESSING- Result is still processing.RESULT_FAILED- Result generation failed.RESULT_EXPIRED- Result is expired.
Available options: RESULT_STATUS_UNDEFINED READY RESULT_PROCESSING RESULT_FAILED RESULT_EXPIRED
Location: QUERY
Response
Response
application/jsoncodeint32optionalApplication response code.
| Code | Meaning |
|---|---|
0 | OK |
12 | Invalid input |
13 | Authentication is required |
99 | Server error |
Available options: 0 12 13 99
Location: RESPONSE
data.itemsarray<object>optionalNo description provided.
Location: RESPONSE
data.next_cursorstringoptionalNo description provided.
Location: RESPONSE
data.retention_noticestringoptionalNo description provided.
Location: RESPONSE
messagestringoptionalNo description provided.
Available options: ok invalid input unauthenticated server error
Location: RESPONSE
On this page